Package org.tmatesoft.svn.core.wc2.hooks

# Interface ISvnFileListHook

public interface ISvnFileListHook
Implementing this interface allows to providing file list for directory.

Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  - `SvnList`

## Method Summary

Modifier and Type
Method
Description
`Map<String,File>`
`listFiles(File parent)`
Returns `Map` of file names with the corresponding `File` objects containing files in `parent`

## Method Details

### listFiles

Map<String,File> listFiles(File parent)
Returns `Map` of file names with the corresponding `File` objects containing files in `parent`

Parameters:
  `parent` - parent directory name
Returns:
  map of all files in directory with their names